**Source URL:** https://limited.veevavault.dev/commercial/vault-api/api-reference/19.1/groups/update-group.md

# Update Group



Update editable group field values. Add or remove group members and security profiles.

<Endpoint path="/api/{version}/objects/groups/{group_id}" method="PUT"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Content-Type` | `application/x-www-form-urlencoded` |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{group_id}` | The group `id` field value. |
</FieldTable>

## Body Parameters {#body-parameters}

In the body of the request, add any editable fields you wish to update.

<FieldTable>
| Name | Description |
| --- | --- |
| `label__v` | Updates the label of the group. |
| `members__v` | Add a comma-separated list of user IDs. This manually assigns individual users to the group. |
| `security_profiles__v` | Add a comma-separated list of security profiles. |
| `active__v` | To set the group to inactive, set this value to `false`. |
| `group_description__v` | Updates the description of the group. |
</FieldTable>

## Request Details {#request-details}

You may change the values of any editable group field. Changing the `security_profiles__v` will automatically replace all previous implied users assigned via the previous security profile.

## Add or Remove Users {#add-or-remove-users}

To add or remove group members, add a comma-separated list of user IDs in `members__v`. This replaces all previous users who were manually assigned. This action is not additive.

Alternatively, you can add or remove group members without replacing previous users in the following ways:

* To add users, set the value of `members__v` to `add` followed by a comma-separated list of user IDs enclosed in parenthesis. For example `add (userID1, userID2)`. This only adds the specified users to the group.

* To delete users, set the value of `members__v` to `delete` followed by a comma-separated list of user IDs enclosed in parenthesis. For example `delete (userID1, userID2)` This only removes the specified users from the group.

## Request {#request}

<CodeExample title="">
```
curl -X PUT -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/x-www-form-urlencoded" \
-d "label__v=Cholecap Team" \
-d "members__v=45501,45502,45503,45004" \
https://myvault.veevavault.com/api/v15.0/objects/groups/1358979070034

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
  "responseStatus": "SUCCESS",
  "responseMessage": "Group successfully updated.",
  "id": 1358979070034
}

```
</CodeExample>

---

**Previous:** [Create Group](/commercial/vault-api/api-reference/19.1/groups/create-group)  
**Next:** [Delete Group](/commercial/vault-api/api-reference/19.1/groups/delete-group)